import {PixelRatio} from "react-native";
import {colors} from "./Colors";
import {responsiveFontSize} from "../utils/common";

export const theme = {
  defaultFont: "HelveticaRegular",
  defaultLightFont: "HelveticaLight",
  defaultMediumFont: "HelveticaMedium",
  defaultBoldFont: "HelveticaBold",
  uniformFont: "UniformRegular",
  uniformMediumFont: "UniformMedium",
  serifFont: "Rokkitt",
  serifBoldFont: "RokkittBold",
  monoText: "SpaceMono",
  primaryGradient: [
    colors.primaryGradient1,
    colors.primaryGradient2,
    colors.primaryGradient3,
    colors.primaryGradient4,
  ],
  whiteGradient: [
    colors.whiteGradient,
    colors.whiteGradient1,
    colors.whiteGradient1,
    colors.whiteGradient,
  ],
  primary: colors.darkGreenColor,
  tintColor: colors.lightBlue,
  bgPrimary: colors.whiteColor,
  bgWhiteVeil: colors.whiteVeil,
  bgModalVeil: colors.modalVeil,
  bgDarkVeil: colors.modalDarkVeil,
  bgShade: colors.modalShade,
  bgGray: colors.lightGrayColor,
  bgTint: colors.lightBlue,
  secondary: colors.greenColor,
  tertiary: colors.blueColor,
  promotion: colors.orangeColor,
  warn: colors.yellowColor,
  transparent: colors.transparent,
  // text
  textPrimary: colors.whiteColor,
  textSecondary: colors.concrete,
  textInvert: colors.darkGreenColor,
  textBasic: colors.darkGrayColor,
  textSubtitle: colors.darkConcrete,
  inputTextColor: colors.defaultTextColor,
  listItemColor: colors.muddyGray,
  listItemDarkColor: colors.darkMuddyGray,
  dividerColor: colors.lightGrayColor,
  errorColor: colors.redColor,
  errorText: colors.whiteColor,
  introButtonColor: colors.lightGreenColor,
  couponIndexBackground: colors.couponIndexBackground,
  sizes: {
    size8: responsiveFontSize(8 / PixelRatio.getFontScale()),
    size13: responsiveFontSize(13 / PixelRatio.getFontScale()),
    size14: responsiveFontSize(14 / PixelRatio.getFontScale()),
    size14_2: responsiveFontSize(14.5 / PixelRatio.getFontScale()),
    size15: responsiveFontSize(15 / PixelRatio.getFontScale()),
    size16: responsiveFontSize(16 / PixelRatio.getFontScale()),
    size17: responsiveFontSize(17 / PixelRatio.getFontScale()),
    size18: responsiveFontSize(18 / PixelRatio.getFontScale()),
    size20: responsiveFontSize(20 / PixelRatio.getFontScale()),
    size24: responsiveFontSize(24 / PixelRatio.getFontScale()),
    size26: responsiveFontSize(26 / PixelRatio.getFontScale()),
    size30: responsiveFontSize(30 / PixelRatio.getFontScale()),
    size36: responsiveFontSize(36 / PixelRatio.getFontScale()),
    size42: responsiveFontSize(42 / PixelRatio.getFontScale()),
  },
};
